#include <stdio.h>

#include "dbtoc.h"

DbToc::DbToc( char *FName)
{
int     Ret= sqlite3_open( FName, &SqlDb);

if( Ret)
{       fprintf( stderr,"Can't open database (%s): %s\n", FName, sqlite3_errmsg( SqlDb));
        sqlite3_close( SqlDb);
        throw;
}
Sql("DROP TABLE source_info");
Sql("CREATE TABLE source_info (name TEXT, value TEXT)");
Sql("DROP TABLE songs");
Sql("CREATE TABLE songs (id INTEGER UNIQUE, title TEXT, artist TEXT, lang_code INTEGER, addr INTEGER)");
}
//---------------------------------------------------------------------------
bool DbToc::Sql( char *Cmd)
{
char *ErrMsg= 0;
int     Ret= sqlite3_exec( SqlDb, Cmd, NULL, 0, &ErrMsg);

if( Ret!= SQLITE_OK)
{       fprintf( stderr,"SQL: %s\n", Cmd);
        fprintf( stderr,"Error: %s\n", ErrMsg);
        sqlite3_free( ErrMsg);
        return false;
}
return true;
}

